KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataStyleSelector Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataStyle, Marble.GeoDataStyleMap
Namespace: Marble

## Detailed Description

a base class for the style classes

A GeoDataStyleSelector is a base class for the style classes Style and StyleMap classes. The StyleMap class selects a style based on the current mode of a Placemark (highlighted or normal). An element derived from StyleSelector is uniquely identified by its id and its url.

@See GeoDataStyle @See GeoDataStyleMap

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataStyleSelector a0)
| pack (self, QDataStream stream)
| setStyleId (self, QString value)
QString | styleId (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataStyleSelector | a0
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the styleselector to a stream

Parameters:

  |  | stream the stream

setStyleId | ( | self, |
|  | QString | value
| ) |  |  |

Set a new style id.

Parameters:

  |  | value the new id

QString styleId | ( |  | self ) |

Return the style id.

Returns:
  the style id

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the styleselector from a stream

Parameters:

  |  | stream the stream